package Arm;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require DynaLoader;
require AutoLoader;

@ISA = qw(Exporter AutoLoader DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
	
);
$VERSION = '1.0';

bootstrap Arm $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

Arm - Perl extension for ARM, the Application Response Measurement standard.

=head1 SYNOPSIS

  use Arm;

  $appl_id = arm_init(appl_name, appl_user_id, flags, data, data_size);
  $tran_id = arm_getid($appl_id, tran_name, tran_detail, flags, data, data_size);
  $start_handle = arm_start($tran_id, flags, data, data_size);
  $status = arm_update($start_handle, flags, data, data_size);
  $status = arm_stop($start_handle, tran_status, flags, data, data_size);
  $status = arm_end($appl_id, flags, data, data_size);

=head1 DESCRIPTION

This perl module provides an interface to the Application Response Measurement
(ARM) standard. See http://www.opengroup.org/management/l2-arm.htm for more
information on ARM.

This module requires a library, libarm.a or libarm.so, and a headerfile,
arm.h, to be installed. On the pages of the OpenGroup (see above URL) there
is a dummy library available for download.

The module provides you with exactly the same functions as the library
provides to C programs, please refer to the documentation of the library.
Documentation of the library may be found at the above mentioned URL.

For real use, this module should be linked against a real ARM library of
some Systems Management Tool.

=head1 AUTHOR

Georg Horn <horn@koblenz-net.de>

=head1 SEE ALSO

http://www.opengroup.org/management/l2-arm.htm

=cut

