# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..7\n"; }
END {print "not ok 1\n" unless $loaded;}
use Arm;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

$app_id = Arm::arm_init("Arm test", "user", 0, "", 0);
print $app_id < 0 ? "not" : "" . "ok 2\n";

$data = pack("LCCCCLa44La44La44La44La44La44La44",
    101, 0,0xfe,0,0,  # flags
    1, "Reloads", 1, "Bytes", 1, "Sekunden",  # define metrics 1-3
    9, "Pwob", 1, "Reserved", 7, "Errorcode",  # define metrics 4-6
    10, "Errortext");  # define string
$datalength = length($data);
$trans_id = Arm::arm_getid($app_id, "Transaction test",
    "First Transaction in Sample program", 0, $data, $datalength);
print $trans_id < 0 ? "not" : "" . "ok 3\n";

$data = pack("LCCCCLLLLLLLLLLLLA32A168",
    1, 0,0x80+0x40+0x20,0,0,  # flags
    0,0, 0,0, 0,0,  # pass values for metrics 1 - 3
    0,0, 0,0, 0,0,  # pass values for metrics 4 - 6
    "",  # pass value for string
    "");  # correlation data, left empty
$datalength = length($data);
$trans_handle = Arm::arm_start($trans_id, 0, $data, $datalength);
print $trans_handle < 0 ? "not" : "" . "ok 4\n";

$data = pack("LCCCCLLLLLLA8LLLLA32A168",
    1, 0,0x80+0x40+0x20+2,0,0,
    5,0, 3256,0, 13,0,
    "pwob2", 0,0, 0,0,
    "", "");
$datalength = length($data);
$status = Arm::arm_update($trans_handle, 0, $data, $datalength);
print $status < 0 ? "not" : "" . "ok 5\n";

$data = pack("LCCCCLLLLLLA8LLLLA32A168",
    1, 0,16+4+2,0,0,
    0,0, 0,0, 0,0,
    "pwob2", 0,0, 1,0,
    "Login failed",
    "");
$datalength = length($data);
$status = Arm::arm_stop($trans_handle, 0, 0, $data, $datalength);
print $status < 0 ? "not" : "" . "ok 6\n";

$status = Arm::arm_end($app_id, 0, "", 0);
print $status < 0 ? "not" : "" . "ok 7\n";

